co.aikar.commands

## Class CommandOperationContext<I extends CommandIssuer>

- java.lang.Object
- - co.aikar.commands.CommandOperationContext<I>

    public class CommandOperationContext<I extends CommandIssuer>
    extends Object

Holds information about the currently executing command on this thread

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`<T extends Annotation> T` `getAnnotation(Class<T> anno)` Deprecated. Use `getAnnotationValue(Class)`
`<T extends Annotation> String` `getAnnotationValue(Class<T> cls)`
`<T extends Annotation> String` `getAnnotationValue(Class<T> cls, int options)`
`String[]` `getArgs()`
`BaseCommand` `getCommand()`
`I` `getCommandIssuer()`
`String` `getCommandLabel()`
`CommandManager` `getCommandManager()`
`RegisteredCommand` `getRegisteredCommand()`
`boolean` `hasAnnotation(Class<? extends Annotation> anno)`
`boolean` `isAsync()`
`void` `setRegisteredCommand(RegisteredCommand registeredCommand)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCommandManager

    public CommandManager getCommandManager()

#### getCommandIssuer

    public I getCommandIssuer()

#### getCommand

    public BaseCommand getCommand()

#### getCommandLabel

    public String getCommandLabel()

#### getArgs

    public String[] getArgs()

#### isAsync

    public boolean isAsync()

#### setRegisteredCommand

    public void setRegisteredCommand(RegisteredCommand registeredCommand)

#### getRegisteredCommand

    public RegisteredCommand getRegisteredCommand()

#### getAnnotation

    @Deprecated
    public <T extends Annotation> T getAnnotation(Class<T> anno)

Deprecated. Use `getAnnotationValue(Class)`
This method will not support annotation processors!! use getAnnotationValue or hasAnnotation

#### getAnnotationValue

    public <T extends Annotation> String getAnnotationValue(Class<T> cls)

#### getAnnotationValue

    public <T extends Annotation> String getAnnotationValue(Class<T> cls,
                                                            int options)

#### hasAnnotation

    public boolean hasAnnotation(Class<? extends Annotation> anno)